AIS Details — Financial Transaction Data
Retrieve Annual Information Statement data — savings interest, dividends, property transactions, and other financial data reported to Income Tax.
curl -X GET "https://production.deepvue.tech/v1/verification/itr/get-ais-details?itr_client_id=example_string&financial_year=example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
-H "x-api-key: YOUR_API_KEY"
import requests
import json
url = "https://production.deepvue.tech/v1/verification/itr/get-ais-details?itr_client_id=example_string&financial_year=example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)",
"x-api-key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://production.deepvue.tech/v1/verification/itr/get-ais-details?itr_client_id=example_string&financial_year=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)",
"x-api-key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://production.deepvue.tech/v1/verification/itr/get-ais-details?itr_client_id=example_string&financial_year=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (JWT)")
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://production.deepvue.tech/v1/verification/itr/get-ais-details?itr_client_id=example_string&financial_year=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (JWT)'
request['x-api-key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"code": 200,
"timestamp": 1771592310679,
"transaction_id": "808f86a8-d792-ca72-8823-99c5c27dd6ad",
"sub_code": "SUCCESS",
"message": "AIS details fetched successfully.",
"data": {
"itr_client_id": "itr_qkgtvIwLcuooWhtrFFbK",
"pan_no": "EGDPK2567K",
"ais_file": "https://aadhaar-kyc-docs.s3.amazonaws.com/itr/...",
"file_type": "json",
"status": "completed",
"financial_year": "2020-21"
}
}
{
"detail": "Inactive client_id"
}
{
"detail": "Not authenticated"
}
{
"detail": "Not a valid token"
}
{
"code": 422,
"timestamp": null,
"transaction_id": "string",
"sub_code": "FETCH_FAILED",
"message": "Unable to fetch AIS details."
}
{
"code": 500,
"timestamp": null,
"transaction_id": "string",
"sub_code": "SOURCE_FAILURE",
"message": "Source failure. Unable to process the request."
}
/v1/verification/itr/get-ais-details
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token (JWT). ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
API Key for authentication. The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Query Parameters
Responses
Overview
This API retrieves AIS (Annual Information Statement) details directly within the API response, including a secure link to the JSON file. It enables real-time access to an individual's financial and personal information for a specified financial year, facilitating immediate review and integration of AIS data within your applications.
The API requires two parameters: itr_client_id (unique client identifier) and financial_year (the requested financial period, e.g., 2020-21). On success, the response includes transaction ID, PAN number, secure file URL, file type designation, completion status, and the requested financial year.
You need an authorized access token to access any of the Platform APIs. One access token is valid for only 24 hours. After expiration, you can renew the token by using the Authorize endpoint to receive a fresh access token.
Last updated 4 weeks ago
Built with Documentation.AI